package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.WyBeerStyle;

/**
 * 酒款风格Service接口
 * 
 * @author kxl
 * @date 2025-03-08
 */
public interface IWyBeerStyleService 
{
    /**
     * 查询酒款风格
     * 
     * @param id 酒款风格主键
     * @return 酒款风格
     */
    public WyBeerStyle selectWyBeerStyleById(Long id);

    /**
     * 查询酒款风格列表
     * 
     * @param wyBeerStyle 酒款风格
     * @return 酒款风格集合
     */
    public List<WyBeerStyle> selectWyBeerStyleList(WyBeerStyle wyBeerStyle);

    List<WyBeerStyle> selectWyBeerStyleTree();

    /**
     * 新增酒款风格
     * 
     * @param wyBeerStyle 酒款风格
     * @return 结果
     */
    public int insertWyBeerStyle(WyBeerStyle wyBeerStyle);

    /**
     * 修改酒款风格
     * 
     * @param wyBeerStyle 酒款风格
     * @return 结果
     */
    public int updateWyBeerStyle(WyBeerStyle wyBeerStyle);

    /**
     * 批量删除酒款风格
     * 
     * @param ids 需要删除的酒款风格主键集合
     * @return 结果
     */
    public int deleteWyBeerStyleByIds(Long[] ids);

    /**
     * 删除酒款风格信息
     * 
     * @param id 酒款风格主键
     * @return 结果
     */
    public int deleteWyBeerStyleById(Long id);
}
